=== docs/requirements.txt ===
ansimarkup==2.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
arrow==1.3.0 ; python_version >= "3.8" and python_version < "4"
asgiref==3.7.2 ; python_version >= "3.8" and python_version < "4"
babel==2.13.0 ; python_version >= "3.8" and python_version < "4"
backports-zoneinfo==0.2.1 ; python_version >= "3.8" and python_version < "3.9"
binaryornot==0.4.4 ; python_full_version >= "3.8.0" and python_version < "4"
black==23.9.1 ; python_version >= "3.8" and python_version < "4"
cachetools==5.3.1 ; python_version >= "3.8" and python_version < "4"
certifi==2023.7.22 ; python_version >= "3.8" and python_version < "4"
chardet==5.2.0 ; python_version >= "3.8" and python_version < "4"
charset-normalizer==3.3.0 ; python_version >= "3.8" and python_version < "4"
click==8.1.7 ; python_version >= "3.8" and python_version < "4"
colorama==0.4.6 ; python_version >= "3.8" and python_version < "4"
cookiecutter==1.7.3 ; python_full_version >= "3.8.0" and python_version < "4"
coverage[toml]==7.3.2 ; python_version >= "3.8" and python_version < "4"
distlib==0.3.7 ; python_version >= "3.8" and python_version < "4"
dj-database-url==2.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
django-dynamic-fixture==4.0.1 ; python_full_version >= "3.8.0" and python_version < "4"
django-postgres-extra==2.0.4 ; python_full_version >= "3.8.0" and python_version < "4"
django==4.2.6 ; python_version >= "3.8" and python_version < "4"
exceptiongroup==1.1.3 ; python_full_version >= "3.8.0" and python_version < "3.11"
filelock==3.12.4 ; python_version >= "3.8" and python_version < "4"
footing==0.1.4 ; python_full_version >= "3.8.0" and python_version < "4"
formaldict==1.0.5 ; python_full_version >= "3.8.0" and python_version < "4"
ghp-import==2.1.0 ; python_version >= "3.8" and python_version < "4"
git-tidy==1.2.0 ; python_full_version >= "3.8.0" and python_version < "4"
griffe==0.36.5 ; python_version >= "3.8" and python_version < "4"
idna==3.4 ; python_version >= "3.8" and python_version < "4"
importlib-metadata==6.8.0 ; python_version >= "3.8" and python_version < "3.10"
iniconfig==2.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
jinja2-time==0.2.0 ; python_full_version >= "3.8.0" and python_version < "4"
jinja2==3.1.2 ; python_version >= "3.8" and python_version < "4"
kmatch==0.5.0 ; python_full_version >= "3.8.0" and python_version < "4"
markdown==3.5 ; python_version >= "3.8" and python_version < "4"
markupsafe==2.1.3 ; python_version >= "3.8" and python_version < "4"
mergedeep==1.3.4 ; python_version >= "3.8" and python_version < "4"
mkdocs-autorefs==0.5.0 ; python_version >= "3.8" and python_version < "4"
mkdocs-material-extensions==1.2 ; python_version >= "3.8" and python_version < "4"
mkdocs-material==9.4.4 ; python_version >= "3.8" and python_version < "4"
mkdocs==1.5.3 ; python_version >= "3.8" and python_version < "4"
mkdocstrings-python==1.7.2 ; python_version >= "3.8" and python_version < "4"
mkdocstrings==0.23.0 ; python_version >= "3.8" and python_version < "4"
mypy-extensions==1.0.0 ; python_version >= "3.8" and python_version < "4"
packaging==23.2 ; python_version >= "3.8" and python_version < "4"
paginate==0.5.6 ; python_version >= "3.8" and python_version < "4"
pathspec==0.11.2 ; python_version >= "3.8" and python_version < "4"
platformdirs==3.11.0 ; python_version >= "3.8" and python_version < "4"
pluggy==1.3.0 ; python_version >= "3.8" and python_version < "4"
poetry-core==1.7.0 ; python_version >= "3.8" and python_version < "4.0"
poyo==0.5.0 ; python_full_version >= "3.8.0" and python_version < "4"
prompt-toolkit==3.0.39 ; python_full_version >= "3.8.0" and python_version < "4"
psycopg2-binary==2.9.9 ; python_full_version >= "3.8.0" and python_version < "4"
pygments==2.16.1 ; python_version >= "3.8" and python_version < "4"
pymdown-extensions==10.3 ; python_version >= "3.8" and python_version < "4"
pyproject-api==1.6.1 ; python_version >= "3.8" and python_version < "4"
pytest-cov==4.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-django==4.5.2 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-dotenv==0.5.2 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-mock==3.6.1 ; python_full_version >= "3.8.0" and python_version < "4"
pytest-order==1.1.0 ; python_full_version >= "3.8.0" and python_version < "4"
pytest==7.4.2 ; python_full_version >= "3.8.0" and python_version < "4"
python-dateutil==2.8.2 ; python_version >= "3.8" and python_version < "4"
python-dotenv==1.0.0 ; python_version >= "3.8" and python_version < "4"
python-gitlab==3.15.0 ; python_full_version >= "3.8.0" and python_version < "4"
python-slugify==8.0.1 ; python_full_version >= "3.8.0" and python_version < "4"
pytz==2023.3.post1 ; python_version >= "3.8" and python_version < "3.9"
pyyaml-env-tag==0.1 ; python_version >= "3.8" and python_version < "4"
pyyaml==6.0.1 ; python_version >= "3.8" and python_version < "4"
regex==2023.10.3 ; python_version >= "3.8" and python_version < "4"
requests-file==1.5.1 ; python_full_version >= "3.8.0" and python_version < "4"
requests-toolbelt==1.0.0 ; python_full_version >= "3.8.0" and python_version < "4"
requests==2.31.0 ; python_version >= "3.8" and python_version < "4"
ruff==0.0.292 ; python_full_version >= "3.8.0" and python_version < "4"
setuptools==68.2.2 ; python_version >= "3.8" and python_version < "4"
six==1.16.0 ; python_version >= "3.8" and python_version < "4"
sqlparse==0.4.4 ; python_version >= "3.8" and python_version < "4"
text-unidecode==1.3 ; python_full_version >= "3.8.0" and python_version < "4"
tldextract==3.6.0 ; python_full_version >= "3.8.0" and python_version < "4"
tomli==2.0.1 ; python_version >= "3.8" and python_full_version <= "3.11.0a6"
tox==4.11.3 ; python_version >= "3.8" and python_version < "4"
types-python-dateutil==2.8.19.14 ; python_version >= "3.8" and python_version < "4"
typing-extensions==4.8.0 ; python_version >= "3.8" and python_version < "4"
tzdata==2023.3 ; python_version >= "3.8" and python_version < "4" and sys_platform == "win32"
urllib3==2.0.6 ; python_version >= "3.8" and python_version < "4"
virtualenv==20.24.5 ; python_version >= "3.8" and python_version < "4"
watchdog==3.0.0 ; python_version >= "3.8" and python_version < "4"
wcwidth==0.2.8 ; python_full_version >= "3.8.0" and python_version < "4"
zipp==3.17.0 ; python_version >= "3.8" and python_version < "3.10"
.
