=== debian/changelog ===
python-django-pgtrigger (4.11.0-1) unstable; urgency=low

  * New upstream version 4.11.0
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jan 2024 09:41:27 +0000

python-django-pgtrigger (4.8.0-1) unstable; urgency=low

  * New upstream version 4.8.0
  * Build documentation using mkdocs.
  * Refresh patches.
  * Add patch to replace remote objects.inv URLs with local paths.
  * Call mkdocs after dh_auto_install.
  * Build documentation in place.
  * New name for README.md.
  * Add python3-python-installer-doc to Build-Depends, required by mkdocs
    mapping.
  * Update year in d/copyright.
  * Remove remote fonts from documentation to prevent privacy breaches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 25 Jan 2024 08:43:39 +0000

python-django-pgtrigger (4.7.0-1) unstable; urgency=low

  * Initial release (Closes: #1049917).

 -- Michael Fladischer <fladi@debian.org>  Sun, 20 Aug 2023 14:12:21 +0000
