=== debian/control ===
Source: python-django-pgtrigger
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 mkdocs,
 mkdocs-material,
 mkdocstrings,
 mkdocstrings-python-handlers,
 pybuild-plugin-pyproject,
 python-installer-doc,
 python3-all,
 python3-dj-database-url,
 python3-django,
 python3-django-postgres-extra,
 python3-doc,
 python3-myst-parser,
 python3-poetry-core,
 python3-psycopg2,
 python3-pymdownx,
Standards-Version: 4.6.2
Homepage: https://github.com/Opus10/django-pgtrigger
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
Rules-Requires-Root: no

Package: python-django-pgtrigger-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Write Postgres triggers for your Django models (Documentation)
 django-pgtrigger helps you write Postgres triggers for your Django models.
 Triggers can solve a variety of complex problems more reliably, performantly,
 and succinctly than application code.
 .
 For example:
  * Protecting operations on rows or columns (pgtrigger.Protect).
  * Making read-only models or fields (pgtrigger.ReadOnly).
  * Soft-deleting models (pgtrigger.SoftDelete).
  * Snapshotting and tracking model changes (django-pghistory).
  * Enforcing field transitions (pgtrigger.FSM).
  * Keeping a search vector updated for full-text search
    (pgtrigger.UpdateSearchVector).
  * Building official interfaces (e.g. enforcing use of User.objects.create_user
    and not User.objects.create).
  * Versioning models, mirroring fields, computing unique model hashes.
 .
 This package contains the documentation.

Package: python3-django-pgtrigger
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-pgtrigger-doc,
Description: Write Postgres triggers for your Django models (Python3 version)
 django-pgtrigger helps you write Postgres triggers for your Django models.
 Triggers can solve a variety of complex problems more reliably, performantly,
 and succinctly than application code.
 .
 For example:
  * Protecting operations on rows or columns (pgtrigger.Protect).
  * Making read-only models or fields (pgtrigger.ReadOnly).
  * Soft-deleting models (pgtrigger.SoftDelete).
  * Snapshotting and tracking model changes (django-pghistory).
  * Enforcing field transitions (pgtrigger.FSM).
  * Keeping a search vector updated for full-text search
    (pgtrigger.UpdateSearchVector).
  * Building official interfaces (e.g. enforcing use of User.objects.create_user
    and not User.objects.create).
  * Versioning models, mirroring fields, computing unique model hashes.
 .
 This package contains the Python 3 version of the library.
