## python-django-pgtrigger 4.11.1

=== debian/changelog ===
python-django-pgtrigger (4.11.1-1) unstable; urgency=low

  * New upstream version 4.11.1
  * Refresh patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 21:58:55 +0000
