=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  mkdocs,
  mkdocs-material,
  mkdocstrings,
@@ -22,7 +22,7 @@
  python3-poetry-core,
  python3-psycopg2,
  python3-pymdownx,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Opus10/django-pgtrigger
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
