=== debian/changelog ===
python-django-pgtrigger (4.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 01 Nov 2024 00:36:11 +0000

python-django-pgtrigger (4.12.1-1) unstable; urgency=low

  * New upstream version 4.12.1
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Sep 2024 15:30:30 +0000
