## python-django-pgtrigger 4.13.0

=== debian/changelog ===
python-django-pgtrigger (4.13.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 18:20:47 +0000
