## python-django-pgtrigger 4.13.2

=== debian/changelog ===
python-django-pgtrigger (4.13.2-2) unstable; urgency=medium

  * Team upload.
  * (Build-)depend on python3-django (>= 3:4.0); this package fails its
    tests with the version in bookworm, and needs at least the one in
    bookworm-backports.

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Feb 2025 14:18:11 +0000

python-django-pgtrigger (4.13.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 21 Nov 2024 12:29:05 +0000

python-django-pgtrigger (4.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 13 Nov 2024 08:40:40 +0000
