=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python-installer-doc,
  python3-all,
  python3-dj-database-url,
- python3-django,
+ python3-django (>= 3:4.0),
  python3-django-postgres-extra,
  python3-doc,
  python3-myst-parser,
