=== debian/changelog ===
python-django-pgtrigger (4.13.3-1) unstable; urgency=medium

  * Team upload.
  * Update URLs to point to new upstream repository.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2025 12:17:35 +0000
