=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-psycopg2,
  python3-pymdownx,
 Standards-Version: 4.7.0
-Homepage: https://github.com/Opus10/django-pgtrigger
+Homepage: https://github.com/AmbitionEng/django-pgtrigger
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-pgtrigger
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-pgtrigger.git
 Rules-Requires-Root: no
